using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LambdaSimple
{
    class Program
    {
        static void Main(string[] args)
        {
            Func<int, int> sqr = x => x*x;
            int squareResult = sqr(5);
            Console.WriteLine(squareResult);
            Console.ReadKey();
        }
    }
}
